# NamedObject Class Reference
[Widely used base classes and interfaces, Classes implemented in PHP's extension.]

Inheritance diagram for NamedObject:
[legend]

List of all members.

## Public Member Functions

| getName ()
| setName ($name)
| toString ()

## Static Public Member Functions

static | compareNames (Named $left, Named $right)

## Protected Attributes

| $name = null

## Detailed Description

See also:
  Named

Definition at line 18 of file NamedObject.class.php.

## Member Function Documentation

static NamedObject::compareNames | ( | Named $ | left,
|  | Named $ | right |
| ) |  |  | `[static]`

Definition at line 24 of file NamedObject.class.php.

References Named::getName().

Here is the call graph for this function:

NamedObject::getName | ( |  | ) |

Definition at line 31 of file NamedObject.class.php.

Referenced by HttpRequest::getByType(), NamedTree::toString(), and Dialect::typeToString().

NamedObject::setName | ( | $ | name | ) |

Returns:
  NamedObject

Definition at line 39 of file NamedObject.class.php.

References $name.

NamedObject::toString | ( |  | ) |

Implements Stringable.

Definition at line 46 of file NamedObject.class.php.

## Member Data Documentation

NamedObject::$name = null`[protected]`

Definition at line 22 of file NamedObject.class.php.

Referenced by MetaRelation::makeFromName(), setName(), and NamedTree::toString().

The documentation for this class was generated from the following file:

- core/Base/NamedObject.class.php